Cannot connect to vCenter from PVS Console using stronger SCHANNEL Protocols, such as TLS 1.2

The solution to the issue will depend on the version of PVS that is installed.

This is because different versions of PVS will use different versions of the .NET Framework.

To allow communications from applications using the .NET Framework to communicate using versions of TLS other than 1.0, the .NET Framework needs to be configured correctly.

As of the time this article was written, the current version of PVS uses .NET Framework 4.6.

To configure .NET Framework to correctly communicate using higher versions of TLS, configure the following values in the Registry of the PVS Server.

Registry Key: HKEY_LOCAL_MACHINESOFTWAREMicrosoft.NETFrameworkv4.0.30319

Value Name: SchUseStrongCrypto

Value Type: DWORD

Value: 1

After configuring the value in the Registry, close and reopen the PVS Console.

For the proper configuration required on other versions of the .NET Framework, please refer to the following Microsoft documentation

Related:

  • No Related Posts

Leave a Reply